idris-1.3.4: Functional Programming Language with Dependent Types

License | BSD3
Maintainer | The Idris Community.
Safe Haskell | Safe-Inferred
Language | Haskell2010

Idris.Prover

Description

Synopsis

- prover :: ElabInfo -> Bool -> Bool -> Name -> Idris ()
- showProof :: Bool -> Name -> [String] -> String
- showRunElab :: Bool -> Name -> [String] -> String

# Documentation

prover :: ElabInfo -> Bool -> Bool -> Name -> Idris () #

Launch the proof shell

showProof :: Bool -> Name -> [String] -> String #

showRunElab :: Bool -> Name -> [String] -> String #